module Configuration
  # Where your mailboxes are stored. The exact format could
  # theoretically change in the future, but for now, the
  # DovecotMailstore class is going to assume that the mailboxes are
  # stored beneath this directory in <domain>/<username> format.
  MAIL_ROOT = '/var/spool/mail/vhosts'

  # These should be obvious except for the ones that aren't. You can
  # identify the non-obvious ones by my having left them blank.
  DBHOST = 'localhost'
  DBPORT = 5432
  DBOPTS = ''
  DBTTY = ''
  DBUSER = 'postgres'
  DBPASS = ''
  DBNAME = 'postfix'

  # Really delete domains/accounts, or just find them? This parameter
  # could also be called, "I_TRUST_MAILSHEARS_NOT_TO_DO_ANYTHING_BAD".
  I_MEAN_BUSINESS = false

  PLUGINS = ['dovecot_mailstore', 'roundcube_db']

  # Roundcube-specific configuration.
  ROUNDCUBE_DBHOST = 'localhost'
  ROUNDCUBE_DBPORT = 5432
  ROUNDCUBE_DBOPTS = ''
  ROUNDCUBE_DBTTY = ''
  ROUNDCUBE_DBUSER = 'postgres'
  ROUNDCUBE_DBPASS = ''
  ROUNDCUBE_DBNAME = 'roundcube'

end
